Subject: trouble with fuchsia leafs

From: [email-masked] (Matthew Wrezel)
Date: Tue, 7 Mar 95 09:01:00 -0500

We are over-wintering a fuchsia tree (Toronto). It now has healthy
looking leafs but about one-third of them are curling in. There are no
insects and  - apparently - no virus.  The plant is near the window
(northern exposure) and the lighting seems adequate. We have a forc.
We have a forced air heating system in the house. Despite a humidifier,
it is still quite dry.

Can anyone help ?